This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478957 - Color boxes obstructed by its scroll bar
Color boxes obstructed by its scroll bar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 10:58 EDT by Douglas
Modified: 2017-10-02 08:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-02 08:32:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
color bar obstructed (30.02 KB, image/png)
2017-08-07 10:58 EDT, Douglas
no flags Details
Fedora RGB palette showing no scroll bar, therefore no obstruction (30.75 KB, image/png)
2017-08-07 10:59 EDT, Douglas
no flags Details

  None (edit)
Description Douglas 2017-08-07 10:58:11 EDT
Created attachment 1310155 [details]
color bar obstructed

Description of problem:
The attachment shows it all. The color boxes are being obstructed by the scroll bar. Some color palettes are very short, such as Fedora RGB, and therefore no scroll bar is displayed, thus leaving the colors unobstructed. See attachment.

Fedora 26 Workstation. Inkscape from default repositories.
Comment 1 Douglas 2017-08-07 10:59 EDT
Created attachment 1310156 [details]
Fedora RGB palette showing no scroll bar, therefore no obstruction
Comment 2 Douglas 2017-09-20 23:55:18 EDT
Workaround #1

Enable line wrap within the color boxes (click the little arrow at the end of the array of colors).

Workaround #2

Change size of color boxes (within the same little menus as line wrap).


That makes the color boxes more visible, but they are still partially hidden behind the scroll bar.

It seems the GUI in Fedora is changed to be larger. If you try Debian with GNOME, you'll notice the interface has smaller widgets. I don't know if it's intentional. But could it be related?
Comment 3 Douglas 2017-10-01 13:13:25 EDT
This is fixed for me.

Some update must have fixed it. The overall size of Gtk widgets reduced. Buttons were a lot larger before. Now the scroll bar doesn't get in the way.
Comment 4 Gwyn Ciesla 2017-10-02 08:32:45 EDT
Excellent, that would be 0.92.2, if fixed quite a few bugs.

Note You need to log in before you can comment on or make changes to this bug.